Ny norsk standard for arealberegning i Revit: NS 3940
Symetri Norge forbedrer arbeidsflyten for arkitekter med NS 3940, Autodesk Revit, Naviate og Area Tools for arealberegning.
As part of their iLogic design Automation, one of our clients asked for some code today to swap Autodesk Inventor sketch blocks within their part sketches as they pick different options within their dialog boxes.
I remembered I'd had the same request a few years ago and dregged up my old code and found a video of it ... Do you remember when Inventor looked like this?
I thought this code could still be of use to more than one of you and so here is the basic version of it:
'Symetri iLogic
Dim oPartDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument
Dim oCompDef As PartComponentDefinition
oCompDef = oPartDoc.ComponentDefinition
Dim oSketches As PlanarSketches
oSketches = ThisApplication.ActiveDocument.ComponentDefinition.Sketches
Dim oSketch As PlanarSketch
oSketch = oSketches.Item(“Profile”)
oSketch.Edit
oSketch.sketchblocks.item(1).delete
Dim oSketchBlockDef As SketchBlockDefinition
oSketchBlockDef = oCompDef.SketchBlockDefinitions.Item(TABLE_PROFILE)
Dim oPosition As Point2d
oPosition = ThisApplication.TransientGeometry.CreatePoint2d(0, 0)
’ Insert the sketch block definition
oSketch.SketchBlocks.AddByDefinition(oSketchBlockDef, oPosition)
oSketch.exitedit
If its of interest and you want to push it further then please get in touch. I do love a good bit of Automation awesomeness! ;)
iLogic is part of Autodesk Inventor and Inventor Professional.